# sol-mem-gen

This project is a Solana-based meme generator that allows users to connect their wallets, pay with MTM tokens, and generate memes using AI models.

## Features

- Connect to Solflare and Phantom wallets
- Pay with MTM tokens
- Generate memes using various AI models

## Prerequisites

- Node.js
- npm
- Solflare or Phantom wallet

## Setup

- Install dependencies:
    ```sh
    npm install
    ```

- Copy the `.env.example` file to `.env.local` and add your API keys:
    ```sh
    cp .env.example .env.local
    ```

- Add your FAL AI key to the `.env.local` file:
    ```env
    # Get key from https://fal.ai/
    FAL_AI_KEY=your_fal_ai_key
    ```

- Setup a project on <https://app.pinata.cloud> then add the following to `.env.example`:
    ```env
    # Get keys from https://app.pinata.cloud/developers/api-keys
    PINATA_JWT=
    PINATA_GATEWAY=
    ```

- Run the development server:
    ```sh
    npm run dev
    ```

- Open your browser and navigate to `http://localhost:3000`.

## Usage

- Connect your Solflare or Phantom wallet using the "Connect Wallet" button.
- Select an AI model and enter a prompt to generate a meme.
- Pay the required MTM tokens and wait for the meme to be generated.
