import { DataSource } from 'typeorm';

import { Payment } from './entity/Payment';

export const AppDataSource = new DataSource({
  type: 'sqlite',
  database: './database.sqlite',
  synchronize: true,
  logging: false,
  entities: [Payment],
  migrations: [],
  subscribers: [],
});

export async function initializeDataSource() {
  try {
    if (!AppDataSource.isInitialized){
      await AppDataSource.initialize();
      console.log('Data Source has been initialized!');
    };
  } catch (err) {
    console.error('Error during Data Source initialization:', err);
    throw err;
  }
}
