export type WalletType = 'solflare' | 'phantom'

declare global {
  interface Window {
    solflare?: {
      connect(): Promise<void>
      disconnect(): Promise<void>
      publicKey?: { toString(): string }
      signAndSendTransaction(transaction: any): Promise<{ signature: string }>
    }
    phantom?: {
      solana?: {
        connect(): Promise<{ publicKey: { toString(): string } }>
        disconnect(): Promise<void>
        signAndSendTransaction(transaction: any): Promise<{ signature: string }>
      }
    }
  }
}
